var layoutDrawingChooser = document.getElementById("layout-choose-drawer");
var layoutDrawingChooserContainer = document.getElementById("layout-choose-drawer-container");
layoutDrawingChooserContainer.innerHTML = ""; // clear this element

var lastCategoryIndex = -1; // the last category this page showed

function makeDrawingOptions(categoryIndex) {
	if(lastCategoryIndex == categoryIndex) {
		showChooseDrawingLayout();
		return;
	}

	layoutDrawingChooserContainer.innerHTML = "";
	for(var i = 0; i < categoriesImages[categoryIndex][1]; i++) {
		var imagePath =  categoriesImages[categoryIndex][0].split('.').slice(0, -1).join('.') + "/" + (i + 1) + ".png"; 
		var conDiv = document.createElement("div");
		conDiv.classList.add("thumbnail-container");
		conDiv.classList.add("col-4");
		var imgDiv = document.createElement("div");
		imgDiv.style.backgroundImage = "url('images/drawings/" + imagePath + "')";
		imgDiv.setAttribute("data-cat-index", categoryIndex);
		imgDiv.setAttribute("data-drawing-index", (i+1));
		conDiv.appendChild(imgDiv);
		layoutDrawingChooserContainer.appendChild(conDiv);
		hideLoadingScreen();
	}
}

// add click listener
layoutDrawingChooserContainer.addEventListener("click", function(ev) {
	var drawingOption = ev.target;
	if(drawingOption.getAttribute("data-cat-index") == null) {
		return;
	}

 	//go to the choose drawings layout
 	showLoadingScreen();
 	hideChooseDrawingLayout();

 	showColoringLayout(drawingOption.getAttribute("data-cat-index"), drawingOption.getAttribute("data-drawing-index"));
});

// back button
document.getElementById("back-button-choose-drawing").addEventListener("click", function(ev) {
	showLayoutChooseCategory();
});

function showChooseDrawingLayout() {
	layoutDrawingChooser.style.display = "block";
}

function hideChooseDrawingLayout() {
	layoutDrawingChooser.style.display = "none";
}

